From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 7 June 2007<P>

Rennie and Ali, thank you my friends for your comments.  Isn't it funny how what feels like just a random ramble, eliciting two comments from two of my favorite writers on this site, just make a person's day brighter?  Seriously, thank you. My daughter is suffering her first real broken heart, and I've been walking around feeling a little homicidal (towards the boy) and feeling her pain as well.  All the while enjoying the guilty pleasure of being happy in my own love life (dare I say THAT out loud?!) A confusing time.  Your comments lifted my spirits and I thank you.  
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 7 June 2007<P>

abogadalbny, about <a href="/blend/wv.cgi?id=2007.06.06.18.11.31820">Somehow</a>: Beautiful.  I felt every word.  Love this piece!<BR>

<HR>